package com.trs.ggzyexchange.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2023-09-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Bulletin extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("GUID")
    private String guid;

    @TableField("PURCHASEPROJECTCODE")
    private String purchaseprojectcode;

    @TableField("BULLETINTITLE")
    private String bulletintitle;

    @TableField("BULLETINSTARTTIME")
    private String bulletinstarttime;

    @TableField("BULLETINENDTIME")
    private String bulletinendtime;

    @TableField("BULLETINMEDIA")
    private String bulletinmedia;

    @TableField("BIDDOCREFERADDRESS")
    private String biddocreferaddress;

    @TableField("BIDCLOSINGTIME")
    private String bidclosingtime;

    @TableField("PROJECTQUESTIONENDTIME")
    private String projectquestionendtime;

    @TableField("PROJECTANSWERENDTIME")
    private String projectanswerendtime;

    @TableField("BULLETINEXAMINER")
    private String bulletinexaminer;

    @TableField("ATTACHMENTSETCODE")
    private String attachmentsetcode;

    @TableField("VERSION")
    private String version;

    @TableField("ISDELETED")
    private Integer isdeleted;

    @TableField("JYPTID")
    private String jyptid;

    @TableField("BULLETINCONTENT")
    private String bulletincontent;

    @TableField("PURCHASEPROJECTNAME")
    private String purchaseprojectname;

    @TableField("UNIFIEDDEALCODE")
    private String unifieddealcode;

    @TableField("URL")
    private String url;

    @TableField("PLATFORMCODE")
    private String platformcode;

    @TableField("UPLOAD_GJ_STATUS")
    private BigDecimal uploadGjStatus;

    @TableField("PURCHASE_SECTION_CODE")
    private String purchaseSectionCode;

    @TableField("PURCHASESECTIONCODE")
    private String purchasesectioncode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("IS_HTFB")
    private String isHtfb;

    @TableField("IS_FABU")
    private String isFabu;

    @TableField("ISOPEN")
    private String isopen;

    @TableField("BULLETIN_BID_NUM")
    private Integer bulletinBidNum;

    @TableField("DATA_TIMESTAMP")
    private String dataTimestamp;

    @TableField("code")
    private String code;

    @TableField("code_pram")
    private String codePram;

}
