package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 中标结果公示
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GcBidpublicityVo extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    private String regionCode;
    private String projectCode;
    private String tenderProjectCode;
    private String noticeName;
    private String noticeSendTime;
    private String bulletinType;
    private String industriesType;
    /**
     * 交易系统标识码
     */
    private String platformCode;

    private String area;
}
