package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 招标公告与资格预审公告
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GcNoticeandfileVo extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 招标项目编号
     */
    private String tenderProjectCode;
    /**
     * 公告标题
     */
    private String noticeName;
    /**
     * 公告发布时间
     */
    private Long noticeSendTime;
    /**
     * 招标文件/资格预审文件获取截至时间
     */
    private Long docGetEndTime;
    /**
    * 项目所在行政区域代码
    */
    private String regionCode;
    /**
     * 项目行业分类
     */
    private String industriesType;
    /**
     * 发布时间开始
     */
    private Long noticeSendTimeStart;
    /**
     * 发布时间
     */
    private Long noticeSendTimeEnd;
    /**
     * 交易系统标识码
     */
    private String platformCode;

    /**
     * 交易系统标识码
     */
    private String area;
}
