package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 开标记录
 * </p>
 *
 * @author trs
 * @since 2023-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QtjyBidopenrecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    /**
     * 数据来源系统的编码
     */
    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    /**
     * 招标项目编号
     */
    @TableField("TENDER_PROJECT_CODE")
    private String tenderProjectCode;

    /**
     * 标段（包）编号
     */
    @TableField("BID_SECTION_CODES")
    private String bidSectionCodes;

    /**
     * 相关统一交易标识码
     */
    @TableField("UNIFIED_DEAL_CODES")
    private String unifiedDealCodes;

    /**
     * 开标记录标题
     */
    @TableField("NOTICE_NAME")
    private String noticeName;

    /**
     * 开标记录内容
     */
    @TableField("BID_OPENING_CONTENT")
    private String bidOpeningContent;

    /**
     * 开标地点
     */
    @TableField("BID_OPENING_ADDRESS")
    private String bidOpeningAddress;

    /**
     * 开标时间
     */
    @TableField("BID_OPENING_TIME")
    private Long bidOpeningTime;

    /**
     * 开标结束时间
     */
    @TableField("BID_FINISH_TIME")
    private Long bidFinishTime;

    /**
     * 交易系统标识码
     */
    @TableField("PLATFORM_CODE")
    private String platformCode;

    /**
     * 交易服务系统标识码
     */
    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    /**
     * 数据时间戳
     */
    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;


}
