package com.trs.ggzyexchange.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class XySocialCreditVo extends BaseEntity{

    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识
     */
    @JsonProperty("id")
    private String id;
    /**
     * 主体名称
     */
    @JsonProperty("name")
    private String name;
    /**
     * 主体代码
     */
    @JsonProperty("code")
    private String code;
    /**
     * 行政区域
     */
    @JsonProperty("area")
    private String area;

    /**
     * 奖惩处罚类型
     */
    @JsonProperty("punish_type")
    private String punishType;

     /**
     * 限制的行为
     */
     @JsonProperty("behavior")
    private String behavior;

    /**
     * 招标项目名称
     */
    @JsonProperty("project_name")
    private String projectName;

    /**
    * 发布时间
     */
    @JsonProperty("pub_time")
    private String pubTime;

    /**
     * 信用类型类型
     */
    @JsonProperty("credit_type")
    private String creditType;


}
