package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 成交结果公告
 * </p>
 *
 * @author trs
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ZrzyTdBidwinnoticeVo extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    /**
     * 项目所在行政区划代码
     */
    private String regionCode;

    /**
     * 成交公示标题
     */
    private String announcementTitle;


    /**
     * 公示发布时间
     */
    private Long publishingTime;
    /**
     * 成交时间
     */
    private Long dealTime;
    /**
     * 公告编号
     */
    private String announcementCode;

    private String area;
}
