package com.trs.ggzyexchange.enums;

/**
 * @Description: 通用常量
 * @author:
 */
public interface CommonConstant {
    /**
     * 数据中心接口（数据总量）
     */
    String LIST_TOTAL = "list_total";
    String HOME_PAGE_DATA = "home_page_data";
    String MS_HOME_PAGE_DATA = "ms_home_page_data";
    String JG_FIELD_APPLY_REDIS = "jg_field_apply_redis";
    String JG_SITE_INFORMATION_REDIS = "jg_site_information_redis";
    String STATISTICS_DAY = "statistics_day";
    String STATISTICS_MOON = "statistics_moon";
    String STATISTICS_YEAR = "statistics_year";
    String PUBLISHING_CATEGORY_DATA_LIST = "publishing_category_data_list";
    String PUBLISHING_CATEGORY_MONEY_LIST = "publishing_category_money_list";
    String PUBLISHING_CATEGORY_MONEY_YUE_LIST = "publishing_category_money_yue_list";

    String SET_TIME = "1970-10-24 10:24:00";


    /**
     * 数据中心 redis 保存时间
     */
    /*一天*/
    Long REDIS_SAVE_TIME = 60*60*24L;

    /*一小时*/
    Long REDIS_SAVE_TIME_ONE = 60*60*1L;

    /*十分钟*/
    Long REDIS_SAVE_TIME_TEN_MINUTES = 60*10L;
}
