package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidExceptioNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.GcBidExceptioNoticeVo;
import com.trs.ggzyexchange.entity.GcBidpublicityVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 招标异常公告 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface GcBidExceptioNoticeMapper extends BaseMapper<GcBidExceptioNotice> {

     IPage<GcBidExceptioNoticeVo> queryGcBidExceptioNoticeList(
            Page<GcBidExceptioNotice> page,
            @Param("regionCode") String regionCode,
            @Param("industriesType") String industriesType,
            @Param("noticeName") String noticeName,
            @Param("platformCode") String platformCode,
            @Param("noticeSendTimeStart") Long noticeSendTimeStart,
            @Param("noticeSendTimeEnd") Long noticeSendTimeEnd
    );

    IPage<TenderDetailsVo> queryGcBidExceptioNoticeAllList(Page<GcBidExceptioNotice> page);

    IPage<TenderDetailsVo> queryGcBidExceptioNoticeAllListByTime(
            Page<GcBidExceptioNotice> page,
            @Param("time") Long time
    );

    Long maxDataTimeStamp();
}
