package com.trs.ggzyexchange.mapper;

import com.trs.ggzyexchange.entity.ScheduledTash;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-10-20
 */
@Mapper
public interface ScheduledTashMapper extends BaseMapper<ScheduledTash> {

    @Select("select * from scheduled_tash where id = #{id}")
    ScheduledTash seById(
            @Param("id") String id
    );

    void upById(
            @Param("id")  String id,
            @Param("tableNameValue")  String tableNameValue,
            @Param("time")  Long time);

    void inById(
            @Param("id")  String id,
            @Param("tableNameValue")  String tableNameValue,
            @Param("time")  Long time);
}
