package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcTenderbidfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.entity.YcNotice;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-12-18
 */
@Mapper
public interface YcNoticeMapper extends BaseMapper<YcNotice> {

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryYcNoticeAllListByTime(Page<GcTenderbidfile> page, Long time);
}
