package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 出让公告信息 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-23
 */
@Mapper
public interface ZrzyTdCedeNoticeMapper extends BaseMapper<ZrzyTdCedeNotice> {


    IPage<ZrzyTdCedeNoticeVo> queryZrzyTdCedeNoticeList(
            Page<ZrzyTdCedeNotice> page,
            @Param("announcementCode")   String announcementCode,
            @Param("announcementTitle")  String announcementTitle,
            @Param("landDistrict")  String landDistrict,
            @Param("publishingTimeStart")  Long publishingTimeStart,
            @Param("publishingTimeEnd")  Long publishingTimeEnd
    );

    Long maxDataTimeStamp();
}
