package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidExceptioNotice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.GcBidExceptioNoticeVo;
import com.trs.ggzyexchange.entity.GcBidpublicityVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 招标异常公告 服务类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
public interface GcBidExceptioNoticeService extends IService<GcBidExceptioNotice> {

    public IPage<GcBidExceptioNoticeVo> queryGcBidExceptioNoticeList(Page<GcBidExceptioNotice> page, GcBidExceptioNotice gcBidExceptioNotice);

    IPage<TenderDetailsVo> queryGcBidExceptioNoticeAllList(Page<GcBidExceptioNotice> page);

    IPage<TenderDetailsVo> queryGcBidExceptioNoticeAllListByTime(Page<GcBidExceptioNotice> page, Long time);

    Long maxDataTimeStamp();
}
