package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidpublicity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.GcBidpublicityVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

/**
 * <p>
 * 中标结果公示 服务类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
public interface GcBidpublicityService extends IService<GcBidpublicity> {

    IPage<GcBidpublicityVo> queryGcBidpublicityList(Page<GcBidpublicity> page, GcBidpublicity gcBidpublicity);


    IPage<TenderDetailsVo> queryGcBidpublicityAllList(
            Page<GcBidpublicity> page
    );

    IPage<TenderDetailsVo> queryGcBidpublicityAllListByTime(Page<GcBidpublicity> page, Long time);

    Long maxDataTimeStamp();
}
