package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.QtjyNotice;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.QtjyNoticeMapper;
import com.trs.ggzyexchange.service.QtjyNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 其他交易公告信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class QtjyNoticeServiceImpl extends ServiceImpl<QtjyNoticeMapper, QtjyNotice> implements QtjyNoticeService {

    @Autowired
    private QtjyNoticeMapper qtjyNoticeMapper;

    @Override
    public IPage<TenderDetailsVo> queryQtjyNoticeAllList(Page<QtjyNotice> page) {
        return qtjyNoticeMapper.queryQtjyNoticeAllList(page);
    }
}
