package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.GcTenderbidfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.entity.YcNotice;
import com.trs.ggzyexchange.mapper.YcNoticeMapper;
import com.trs.ggzyexchange.service.YcNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-12-18
 */
@Service
public class YcNoticeServiceImpl extends ServiceImpl<YcNoticeMapper, YcNotice> implements YcNoticeService {

    @Autowired
    private YcNoticeMapper ycNoticeMapper;

    @Override
    public Long maxDataTimeStamp() {
        return ycNoticeMapper.maxDataTimeStamp();
    }

    @Override
    public IPage<TenderDetailsVo> queryYcNoticeAllListByTime(Page<GcTenderbidfile> page, Long time) {
        return ycNoticeMapper.queryYcNoticeAllListByTime(page,time);
    }
}
