package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.entity.ZcAlternationeNotice;
import com.trs.ggzyexchange.mapper.ZcAlternationeNoticeMapper;
import com.trs.ggzyexchange.service.ZcAlternationeNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 更正公告 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class ZcAlternationeNoticeServiceImpl extends ServiceImpl<ZcAlternationeNoticeMapper, ZcAlternationeNotice> implements ZcAlternationeNoticeService {

    @Autowired
    private ZcAlternationeNoticeMapper zcAlternationeNoticeMapper;

    @Override
    public IPage<TenderDetailsVo> queryZcAlternationeNoticeAllList(Page<ZcAlternationeNotice> page) {
        return zcAlternationeNoticeMapper.queryZcAlternationeNoticeAllList(page);
    }
}
