package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.entity.ZcPurchaseBulletin;
import com.trs.ggzyexchange.mapper.ZcPurchaseBulletinMapper;
import com.trs.ggzyexchange.service.ZcPurchaseBulletinService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 采购（资格预审）公告 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class ZcPurchaseBulletinServiceImpl extends ServiceImpl<ZcPurchaseBulletinMapper, ZcPurchaseBulletin> implements ZcPurchaseBulletinService {

    @Autowired
    private ZcPurchaseBulletinMapper zcPurchaseBulletinMapper;

    @Override
    public IPage<TenderDetailsVo> queryZcPurchaseBulletinAllList(Page<ZcPurchaseBulletin> page) {
        return zcPurchaseBulletinMapper.queryZcPurchaseBulletinAllList(page);
    }
}
