package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyTdCedeNoticeTotalVo;
import com.trs.ggzyexchange.entity.ZtLegalinfo;
import com.trs.ggzyexchange.mapper.ZtLegalinfoMapper;
import com.trs.ggzyexchange.service.ZtLegalinfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 法人基本信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-02-27
 */
@Service
public class ZtLegalinfoServiceImpl extends ServiceImpl<ZtLegalinfoMapper, ZtLegalinfo> implements ZtLegalinfoService {


    @Autowired
    private ZtLegalinfoMapper ztLegalinfoMapper;

    @Override
    public String getZrzyTdCedeNoticeTotalVo(String platformCode) {
        return ztLegalinfoMapper.getZrzyTdCedeNoticeTotalVo(platformCode);
    }
}
