package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 地区编码对照表
 * </p>
 *
 * @author trs
 * @since 2023-02-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AreaPlatform extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键（交易系统标识码,地域编码）
     */
    @TableId("PLATFORM_CODE")
    private String platformCode;

    /**
     * 地域编码
     */
    @TableField("AREA_CODE")
    private String areaCode;

    /**
     * 地域名称
     */
    @TableField("REGION_NAME")
    private String regionName;


}
