package com.trs.ggzyexchange.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2023-09-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Cgwinbidbulletin extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("GUID")
    private String guid;

    @TableField("ISDELETED")
    private Integer isdeleted;

    @TableField("BIDSECTIONCODE")
    private String bidsectioncode;

    @TableField("WINBIDBULLETINTITLE")
    private String winbidbulletintitle;

    @TableField("WINBIDBULLETINCONTENT")
    private String winbidbulletincontent;

    @TableField("WINBIDBULLETINSTARTTIME")
    private String winbidbulletinstarttime;

    @TableField("WINBIDBULLETINENDTIME")
    private String winbidbulletinendtime;

    @TableField("BIDDERNAME")
    private String biddername;

    @TableField("WINBIDPRICE")
    private BigDecimal winbidprice;

    @TableField("CURRENCYCODE")
    private String currencycode;

    @TableField("PRICEUNIT")
    private String priceunit;

    @TableField("CREATOR")
    private String creator;

    @TableField("ATTACHMENTSETCODE")
    private String attachmentsetcode;

    @TableField("VERSION")
    private String version;

    @TableField("JYPTID")
    private String jyptid;

    /**
     * 主体类别
     */
    @TableField("MAINCATEGORIES")
    private String maincategories;

    /**
     * 主体角色
     */
    @TableField("LEGALROLE")
    private String legalrole;

    /**
     * 证件类型
     */
    @TableField("CARDTYPE")
    private String cardtype;

    @TableField("PURCHASEPROJECTCODE")
    private String purchaseprojectcode;

    @TableField("PURCHASEPROJECTNAME")
    private String purchaseprojectname;

    @TableField("UNIFIEDDEALCODE")
    private String unifieddealcode;

    @TableField("URL")
    private String url;

    @TableField("PLATFORMCODE")
    private String platformcode;

    @TableField("UPLOAD_GJ_STATUS")
    private BigDecimal uploadGjStatus;

    @TableField("PURCHASE_SECTION_CODE")
    private String purchaseSectionCode;

    @TableField("BIDDERCODE")
    private String biddercode;

    @TableField("PURCHASESECTIONCODE")
    private String purchasesectioncode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("IS_HTFB")
    private String isHtfb;

    @TableField("IS_FABU")
    private String isFabu;

    @TableField("ISOPEN")
    private String isopen;

    @TableField("PRICE_FORM_CODE")
    private String priceFormCode;

    @TableField("PURCHASER_AGENCY_CODE")
    private String purchaserAgencyCode;

    /**
     * 采购项目子包所在行政区域代码
     */
    @TableField("REGION_CODE")
    private String regionCode;

    /**
     * 交易发生行政区域代码
     */
    @TableField("TRA_PLACE_CODE")
    private String traPlaceCode;

    /**
     * 采购代理机构名称
     */
    @TableField("PURCHASER_AGENCY_NAME")
    private String purchaserAgencyName;

    /**
     * 中标优惠率或其它类型价格
     */
    @TableField("WIN_BID_RATE")
    private String winBidRate;

    @TableField("WIN_BID_PRICE")
    private BigDecimal winBidPrice;

    @TableField("WINNINGBIDDER_TYPE")
    private String winningbidderType;

    @TableField("DATA_TIMESTAMP")
    private String dataTimestamp;


    @TableField("code")
    private String code;

    @TableField("code_pram")
    private String codePram;
}
