package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 招标异常公告
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GcBidExceptioNoticeVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;

    /**
     * 招标项目编号
     */

    private String tenderProjectCode;
    /**
     * 项目行业分类
     */
    private String industriesType;

    /**
     * 公告标题
     */
    private String noticeName;

    /**
     * 公告发布时间
     */
    private Long noticeSendTime;
    /**
     * 公告类型
     */
    private String bulletinType;
    private String platformCode;
    private String regionCode;
    private String area;

}
