package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 中标候选人公示
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GcBidcandidatePostVo extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 招标项目编号
     */
    private String tenderProjectCode;
    /**
     * 公示标题
     */
    private String publicityName;
    /**
     * 项目行业分类
     */
    private String industriesType;
    /**
     * 公示发布时间
     */
    private Long publicityReferTime;
    /**
     * 公示开始时间
     */
    private Long publicityStartTime;
    /**
     * 公示结束时间
     */
    private Long publicityEndTime;
    /**
     * 项目所在行政区域代码
     */
    private String regionCode;
    /**
     * 交易系统标识码
     */
    private String platformCode;

    private String area;
}
