package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 开标记录
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Data
public class GcBidopenrecordVo extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 招标项目编号
     */
    private String tenderProjectCode;
    /**
     * 开标记录标题
     */
    private String noticeName;
    /**
     * 开标地点
     */
    private String bidOpeningAddress;
    /**
     * 开标时间
     */
    private Long bidOpeningTime;
    /**
     * 开标结束时间
     */
    private Long bidFinishTime;
    /**
     * 交易中心编码
     */
    private String dataSourceCode;
    /**
     * 项目所在行政区域代码
     */
    private String regionCode;
    /**
     * 项目行业分类
     */
    private String industriesType;

    /**
     * 交易系统标识码
     */
    private String platformCode;

    private String area;

}
