package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2023-10-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ScheduledTash extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private String id;
    /**
     * 表名称
     */
    @TableField("table_name_value")
    private String tableNameValue;

    /**
     * 时间戳
     */
    @TableField("time")
    private Long time;

    @TableField("create_time")
    private Date createTime;

    @TableField("update_time")
    private Date updateTime;




}
