package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 出让公告信息
 * </p>
 *
 * @author trs
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ZrzyTdCedeNoticeVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    private String sourceDataKey;
    /**
     * 公告编号
     */
    private String announcementCode;
    /**
     * 公告标题
     */
    private String announcementTitle;
    /**
     * 项目所在行政区划代码
     */
    private String landDistrict;
    /**
     * 发布时间
     */
    private Long publishingTime;
    /**
     * 公告开始时间
     */
    private Long announcementStartTime;
    /**
     * 公告结束时间
     */
    private Long announcementDeadline;

    private String area;


}
