package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 中标候选人公示 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface GcBidcandidatePostMapper extends BaseMapper<GcBidcandidatePost> {
    IPage<GcBidcandidatePostVo> queryGcBidcandidatePostList(
            Page<GcBidcandidatePost> page,
            @Param("regionCode") String regionCode,
            @Param("industriesType") String industriesType,
            @Param("publicityName") String publicityName,
            @Param("platformCode") String platformCode,
            @Param("publicityReferTimeStart") Long publicityReferTimeStart,
            @Param("publicityReferTimeEnd") Long publicityReferTimeEnd
    );

    IPage<TenderDetailsVo> queryGcBidcandidatePostAllList(
            Page<GcBidcandidatePost> page
    );

    IPage<TenderDetailsVo> queryGcBidcandidatePostAllListByTime(
            Page<GcBidcandidatePost> page,
            @Param("time")   Long time
    );

    Long maxDataTimeStamp();
}
