package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 开标记录 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface GcBidopenrecordMapper extends BaseMapper<GcBidopenrecord> {
    IPage<GcBidopenrecordVo> queryGcBidopenrecordServiceList(
            Page<GcBidopenrecord> page,
            @Param("regionCode") String regionCode,
            @Param("industriesType") String industriesType,
            @Param("noticeName") String noticeName,
            @Param("platformCode") String platformCode,
            @Param("bidOpeningTimeStart") Long bidOpeningTimeStart,
            @Param("bidOpeningTimeEnd") Long bidOpeningTimeEnd,
            @Param("bidFinishTimeStart") Long bidFinishTimeStart,
            @Param("bidFinishTimeEnd") Long bidFinishTimeEnd
    );

    IPage<TenderDetailsVo> queryGcBidopenrecordAllList(Page<GcBidopenrecord> page);

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryGcBidopenrecordAllListByTime(
            Page<GcBidopenrecord> page,
            @Param("time")  Long time

    );
}
