package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 中标结果公示 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface GcBidpublicityMapper extends BaseMapper<GcBidpublicity> {


    IPage<GcBidpublicityVo> queryGcBidpublicityList(
            Page<GcBidpublicity> page,
            @Param("regionCode") String regionCode,
            @Param("industriesType") String industriesType,
            @Param("noticeName") String noticeName,
            @Param("platformCode") String platformCode,
            @Param("noticeSendTimeStart") Long noticeSendTimeStart,
            @Param("noticeSendTimeEnd") Long noticeSendTimeEnd
    );

     IPage<TenderDetailsVo> queryGcBidpublicityAllList(
            Page<GcBidpublicity> page
    );


    IPage<TenderDetailsVo> queryGcBidpublicityAllListByTime(
            Page<GcBidpublicity> page,
            @Param("time")  Long time
    );

    Long maxDataTimeStamp();
}
