package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPerformance;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 合同履约 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Mapper
public interface GcPerformanceMapper extends BaseMapper<GcPerformance> {

    IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPerformance> page);

    IPage<TenderDetailsVo> queryGcBidcandidateAllListByTime(
            Page<GcPerformance> page,
            @Param("time")  Long time
    );

    Long maxDataTimeStamp();
}
