package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPubContract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 合同签订 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-23
 */
@Mapper
public interface GcPubContractMapper extends BaseMapper<GcPubContract> {
    Integer getTotalNumberTransactions(@Param("platformCode")  String platformCode);

    IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPubContract> page);

    IPage<TenderDetailsVo> queryGcBidcandidateAllListByTime(
            Page<GcPubContract> page,
            @Param("time")  Long time);

    Long maxDataTimeStamp();
}
