package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcTenderbidfile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 招标文件/招标文件澄清与修改 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface GcTenderbidfileMapper extends BaseMapper<GcTenderbidfile> {

    IPage<TenderDetailsVo> queryGcTenderbidfileAllList(Page<GcTenderbidfile> page);

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryGcTenderbidfileAllListByTime(
            Page<GcTenderbidfile> page,
            @Param("time")  Long time);
}
