package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.ZrzyTdBidwinnotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.ZrzyTdBidwinnoticeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 成交结果公告 Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-02-24
 */
@Mapper
public interface ZrzyTdBidwinnoticeMapper extends BaseMapper<ZrzyTdBidwinnotice> {

    IPage<ZrzyTdBidwinnoticeVo> queryZrzyTdBidwinnoticeList(
            Page<ZrzyTdBidwinnotice> page,
            @Param("regionCode")  String regionCode,
            @Param("landUsage") String landUsage,
            @Param("announcementTitle")  String announcementTitle,
            @Param("publishingTimeStart") Long publishingTimeStart,
            @Param("publishingTimeEnd") Long publishingTimeEnd
    );

    Long maxDataTimeStamp();
}
