package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidcandidatePost;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.GcBidcandidatePostVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

/**
 * <p>
 * 中标候选人公示 服务类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
public interface GcBidcandidatePostService extends IService<GcBidcandidatePost> {
    public IPage<GcBidcandidatePostVo> queryGcBidcandidatePostList(
            Page<GcBidcandidatePost> page,
            GcBidcandidatePost gcBidcandidatePost);

    public IPage<TenderDetailsVo> queryGcBidcandidatePostAllList(
            Page<GcBidcandidatePost> page
    );

    IPage<TenderDetailsVo> queryGcBidcandidatePostAllListByTime(Page<GcBidcandidatePost> page, Long time);

    Long maxDataTimeStamp();
}




