package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.trs.ggzyexchange.entity.GcNoticeandfile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.GcNoticeandfileVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

import java.util.List;

/**
 * <p>
 * 招标公告与资格预审公告 服务类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
public interface GcNoticeandfileService extends IService<GcNoticeandfile> {

    IPage<GcNoticeandfileVo> queryGcTenderProjectList(Page<GcNoticeandfile> page, GcNoticeandfile gcNoticeandfile);

    IPage<TenderDetailsVo> queryGcTenderProjectAllList(Page<GcNoticeandfile> page, GcNoticeandfile gcNoticeandfile);

    Boolean   parseTenderDetailsVo(List<TenderDetailsVo> tenderDetailsVos) throws JsonProcessingException;


    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryGcTenderProjectAllListGeTime(Page<GcNoticeandfile> page, GcNoticeandfile gcNoticeandfile, Long time);
}
