package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPerformance;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

/**
 * <p>
 * 合同履约 服务类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
public interface GcPerformanceService extends IService<GcPerformance> {

    IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPerformance> page);

    IPage<TenderDetailsVo> queryGcBidcandidateAllListByTime(Page<GcPerformance> page, Long time);

    Long maxDataTimeStamp();
}
