package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.entity.ZcBidpublicity;
import com.trs.ggzyexchange.mapper.ZcBidpublicityMapper;
import com.trs.ggzyexchange.service.ZcBidpublicityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 中标（成交）结果公告 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class ZcBidpublicityServiceImpl extends ServiceImpl<ZcBidpublicityMapper, ZcBidpublicity> implements ZcBidpublicityService {

    @Autowired
    private ZcBidpublicityMapper zcBidpublicityMapper;

    @Override
    public IPage<TenderDetailsVo> queryZcBidpublicityAllList(Page<ZcBidpublicity> page) {
        return zcBidpublicityMapper.queryZcBidpublicityAllList(page);
    }
}
